package gui.text;

import gui.GUIText;

public class English extends GUIText {
	
	@Override
	public String getButtonDescription(String type) {
		switch (type) {
			case "saveAll": return "Save application screenshot";
			case "openText": return "Open code file";
			case "save": return "Save visualisation";
			case "saveCode": return "Save code file with input";
			case "gridOn": return "Hide grid";
			case "gridOff": return "Show grid";
			case "start": return "Start visualisation";
			case "stop": return "Stop visualisation";
			case "process": return "Prepare visualisation";
			case "answer": return "Answer";
			default: return type;
		}
	}

	@Override
	public String getBorderTitle(String type) {
		switch (type) {
		case "vizPanel": return "Visualisation: ";
		case "code": return "Program: ";
		case "highCode": return "Highlighted: ";
		case "currentCode": return "Currently processed: ";
		case "input": return "Input: ";
		case "output": return "Output: ";
		case "error": return "Errors: ";
		default: return type;
		}
	}
	
	@Override	
	public String getErrorText(String type) {
		switch (type) {
		case "Index": { return "Index out of borders."; }		
		case "VarNotFound": { return "Variable doesn't exist.";}
		case "NotTranslated": { return "Command wasn't recognized.";}
		case "MissingInput": { return "Missing input.";}
		case "UsedVarName": { return "Variable already exists.";}
		case "Initialized": { return "Variable was not initialized."; }
		default: { return "Error happened.";}			
		}
	}

	@Override	
	public String getQuestionText() {
		return "<b>Question: </b>";
	}

	@Override
	public String getCorrectAnswerText() {
		return " Correct answer was ";
	}
	
	@Override
	public String getAnswerBoolean(boolean correct) {
		if (correct) return "Correct!";
		else return "Wrong!";
	}
	
	@Override
	public String getComboDescription(String type) {
		switch (type) {
		case "code": return "Code language: ";
		case "viz": return "Visual language: ";
		case "guiLang": return "Interface language: ";
		case "xBox": return "Grid width: ";
		case "yBox": return "Grid height: ";
		case "mod": return "Export application mode: ";
		default: return type;
		}		
	}
	
	@Override
	public String getTabName(String type) {
		switch (type) {
		case "mixed": return "Mixed mode";
		case "visual": return "Visual mode";
		case "code": return "Code mode";
		case "settings": return "Settings";
		default: return type;
		}
	}
	
	@Override
	public String translateComboItem(String item) {
		switch (item) {
		case "slovak": return "Slovenčina";
		case "english": return "Angličtina";
		case "ctype": return "C typ";
		case "pascal": return "Pascal";
		default: return item;
		}
	}

}
